
clear *
set more off
set scheme s1mono

use "fractionalcointegration.dta", clear
tsset datevec
generate trend = _n
regress Sea trend
predict double sea, res
regress Temp trend
predict double temp, res
gphudak sea, powers(0.4(0.1)0.7)
gphudak temp, powers(0.4(0.1)0.7)
// GPH rejects I(0) at any level

 
gphudak D.Sea, powers(0.4(0.1)0.7)
gphudak D.Temp, powers(0.4(0.1)0.7)
// GPH rejects I(0) at any level

modlpr Sea, powers(0.4(0.1)0.7)
modlpr Temp, powers(0.4(0.1)0.7)
// ModLPR rejects I(0) and rejects I(1) 


roblpr Sea, power(0.7 0.75:0.95)
roblpr Temp, power(0.7 0.75:0.95)
// Robinson LPR rejects I(0)


// maximum likelihood

// select lags for Sea

quietly arfima Sea, ar(1/2) ma(1/2)  
estat ic
quietly arfima Sea, ar(1/4) ma(1/4)  
estat ic


arfima Sea, ar(1/2) ma(1/2) nolog vsquish


arfima Temp, nolog vsquish



