// bilinear model

clear *
set more off
set scheme s1mono


// simulate and plot
set seed 1235 
set obs 500

gen t = _n
tsset t
 
sca phi   = 0.4
sca theta = 0.2
 

gen u = rnormal( )
gen y1 = u
gen y2 = u

replace y1 = phi*L.y1 + u + theta*L.u + 0.4*L.y1*L.u in 2/l
replace y2 = phi*L.y2 + u + theta*L.u + 1.0*L.y2*L.u in 2/l

twoway (line y1 t, lc(black)), scheme(s1mono) name(gph1, replace) ///
		ylabel(,angle(0)) title("{&gamma} = 0.4", size(medsmall)) ///
		xtitle("") ytitle("") yline(0)
		
twoway (line y2 t, lc(black)), scheme(s1mono) name(gph2, replace) ///
		ylabel(,angle(0)) title("{&gamma} = 1.0", size(medsmall)) ///
		xtitle("") ytitle("") yline(0)

graph combine gph1 gph2, imargin(zero) cols(1) scheme(s1mono)



// sunspot data
use "annualsunspots.dta", clear
tsset datevec



use "annualsunspots.dta", clear
tsset datevec, yearly
qui reg sunspots L(1/12).sunspots
qui predict double v, r
reg sunspots L(1/3).sunspots c.L(1/3)sunspots#c.L(1/4)v, vsquish

testparm c.L(1/3)sunspots#c.L(1/4)v


predict yhat, xb

twoway (tsline sunspots, lc(black) lw(thin)) ///
		(tsline yhat, lc(gray) lp(dash)), ylab(,angle(0) labs(small)) ///
		xlab(, labs(small)) legend(size(small)) scheme(s1mono)  ///
		xtitle("")




