// illustrate consistency

clear *
set more off


global a = 1
global b = 1


quietly drop _all
set seed 123456 

set obs 25
gen x = rnormal()

tempname small
postfile `small'  b10 using sim10, replace
 


forvalues i = 1/10000 {
    
	quietly capture drop y
    quietly gen y = $a + $b * x + 0.5 * rnormal()
	quietly reg y x

	sca b = _b[x] 
	post `small' (b)
}
postclose `small'


quietly drop _all
quietly set obs 50 
gen x = rnormal()

tempname small


postfile `small'  b50 using sim50, replace
forvalues i = 1/10000 {

	quietly capture drop y
    quietly gen y = $a + $b * x + 0.5 * rnormal()
	quietly reg y x

	sca b = _b[x] 
	post `small' (b)
}
postclose `small'
  
use sim10, clear
merge 1:1 _n using sim50
drop _merge

kdensity b10, n(1000)   generate(b_10n f_10n) kernel(gaussian)    
kdensity b50, n(1000) generate(b_50n f_50n) kernel(gaussian)  

twoway (line f_10n b_10n, lp(dash) lw(medthick) lc(black) ) ///
		(line f_50n b_50n, lw(medthick) lc(gray) ),  ///  
		xtitle("") ytitle("") ///
		ylabel( ,angle(0) format(%2.1fc) labsize(medlarge) )  ///
		xlabel( ,labsize(medlarge) )  /// 
		legend( order( 1 "T=25" 2 "T=50") rows(1) size(medlarge) ) scheme(s1mono)

		
twoway (histogram b10, color(gray)) (histogram b50, fcolor(none) lcolor(black)), ///
legend(order(1 "T=25" 2 "T=50" ))


