// crush spread

clear *
set more off
set scheme s1mono


/* ------------------------------ Estimation ------------------------------ */
// engle granger
use "crushspread.dta", clear
tsset datevec, monthly
reg psoy poil pmeal
predict double egresid, resid
reg D.psoy L.D.psoy L.D.poil L.D.pmeal L.egresid, nocons

// VECM
varsoc psoy poil pmeal, maxlag(14)

vec psoy poil pmeal, lag(2) trend(rconstant) alpha noetable  


// residual tests for cointegration
egranger psoy poil pmeal  

twoway 	(tsline _egresid , lcolor(black) lwidth(medium)), ///
		tlabel(, format(%tmCCYY))  xtitle(" ") /// 
		ylabel(, angle(0)) ytitle("Residuals") yline(0) ///
		name(resid, replace)



vecrank psoy poil pmeal, lags(2) trend(rconstant) 

vec psoy poil pmeal, lags(2) rank(2) trend(rconstant) alpha noetable 


