clear *
set more off
set scheme s1mono
 
// load data
use "crushspread", clear
tsset datevec, monthly


replace psoy = log(psoy)
replace poil = log(poil)
replace pmeal = log(pmeal)

/* -------------------------------- Testing -------------------------------- */
// simple nonstationarityn tests
dfuller psoy, lags(1)
dfuller pmeal,lags(1)
dfuller poil, lags(1)

/* ------------------------------ Estimation ------------------------------ */
// engle granger
reg psoy poil pmeal
predict double egresid, resid
reg D.psoy L.D.psoy L.D.poil L.D.pmeal L.egresid, nocons

// VECM
varsoc psoy poil pmeal, maxlag(14)

vec psoy poil pmeal, lag(2) trend(rconstant) alpha noetable  



// residual tests for cointegration
egranger psoy poil pmeal  

twoway 	(tsline _egresid , lcolor(black) lwidth(medium)), ///
		tlabel(, format(%tmCCYY))  xtitle(" ") /// 
		ylabel(, angle(0)) ytitle("{c S|}US per metric ton") ///
		name(resid, replace)


vecrank psoy poil pmeal, lags(2) trend(rconstant) 

vec psoy poil pmeal, lags(2) rank(2) trend(rconstant) alpha noetable 


constraint define 1 [_ce1]psoy  = 1
constraint define 2 [_ce1]poil  = 0
constraint define 3 [_ce2]psoy  = 1
constraint define 4 [_ce2]pmeal = 0
vec psoy poil pmeal, lags(2) rank(2) trend(rconstant) alpha noetable bconstraints(1/4) 
