
clear *
set more off
set scheme s1mono

use "fractionalcointegration.dta", clear
tsset datevec

//replace Sea = Sea/1000

// based on multivariate Robinson
// OLS approach

constraint 1 Sea = Temp  
roblpr Sea Temp, constraints(1)


regress Sea Temp
capture drop uhat
predict double uhat, resid
roblpr uhat 

twoway tsline uhat, title("Residuals from OLS regression", size(medsmall)) ///
	xtitle("") xlabel(, format(%tm_CCYY)) ///
	ytitle("OLS residuals") ylabel(, angle(0) format(%3.0f) ) name(ols, replace)




// based on IV
constraint 2 Sea = IceSAt
roblpr Sea Temp IceSAt, constraints(1/2)  

ivregress 2sls Sea (Temp = IceSAt IceSAtmas1 IceSAtmas2)
capt drop uhat
predict double uhat
roblpr uhat, power(0.7 0.75:0.95)


twoway tsline uhat, title("Residuals from IV regression", size(medsmall)) ///
	xtitle("") xlabel(, format(%tm_CCYY)) ///
	ytitle("IV residuals") ylabel(, angle(0) format(%3.0f) ) name(iv, replace)

graph combine ols iv, ycom imargin(tiny) cols(1)

