// MS models for the sunspot data
 clear all
 set more off
 set scheme s1mono

 
 


// sunspot data


use "annualsunspots.dta", clear
tsset datevec
mswitch ar sunspots, ar(1/2) arswitch varswitch 

// display probs and transitions
estat transition  
estat duration  


// get the smoothed probability of being in given state  

predict prob1, pr smethod(smooth)
gen prob2 = 1-prob

twoway  (tsline sunspots, yaxis(1) lc(gray) lp(dash)) ///
		(tsline prob1, yaxis(2) lc(black) ), xtitle("") ///
		title("Probability state 1") ///
		ytitle("Mean annual sunspots", axis(1)) ///
		ytitle("Prob. State 1", axis(2))		///
		legend(order(1 "Sunspot number" 2 "Smoothed probability")) ///
		name(state1, replace)

twoway  (tsline sunspots, yaxis(1) lc(gray) lp(dash)) ///
		(tsline prob2, yaxis(2) lc(black) ), xtitle("") ///
		title("Probability state 2", size(medsmall)) ///
		ytitle("Mean annual sunspots", axis(1)) ///
		ytitle("Prob. State 2", axis(2))		///
		legend(order(1 "Sunspot number" 2 "Smoothed probability")) ///
		name(state2, replace)
	
graph combine state1 state2, imargin(tiny) rows(2)
	





