// ml example using daily data for Cerillos


clear *
set scheme s1mono
set more off

// load data
use "pm_daily", clear
tsset days

// normal distributiom
mlexp( log(normalden(pm25, {mu}, {sigma})) )
local mu  = /mu
local sig = /sigma


// lognormal distribution
gen lpm25=log(pm25)

mlexp( log(normalden(lpm25, {mu}, {sigma})) )
local m  = /mu
local v = /sigma


twoway 	(function y= 1/(x*sqrt(2*_pi)*`v') * exp(-((log(x)- `m')^2/(2*`v'^2)) ) , range(0 100) /// 
		lw(medthick)lc(gray))  || ///
		(function y=normalden(x, `mu', `sig'), range(0 100)  /// 
		lw(medthick) lc(black) lp(longdash)) || ///
		(hist pm25, fcolor(none) xlab(#15,) lcolor(black) bin(20) title() ytitle(Density)), ///
		name(hist1, replace) legend(order(1 "Lognormal" 2 "Normal")) ///
		ylabel(,angle(0))  
 

				
		
use "pm_daily", clear
mlexp (ln(normalden(pm25, {xb:co temperature dv vv _cons}, exp({lnsigma})))), nolog   
nlcom exp(_b[/lnsigma])
