// file to reproduce some results from Borsky and Raschky (2015)
clear *


// load Borsky and Raschky (2015) data
use "spatialfish_small.dta", clear
  
// describe the data
describe
  
// line data up with Table 1 and results of estimations in Table 2
rename all_mean overall  
rename distance cost

// spatial weight matrix
encode countrycode, gen(id)
spset id, coord(lat lon) coordsys(latlong, kilometers)

spmatrix use WDIST using wdist.stswm, replace


global controls "gdp cost gov competition bio export eezcatch treaty"

// spatial lag model 
spregress behavior $controls, nocons dvarlag(WDIST) ml nolog

spregress behavior gdp cost gov, nocons dvarlag(WDIST) ml nolog

// spatial error model
spregress behavior gdp gov, nocons errorlag(WDIST) ml nolog
