// data and testing against unspecified alternative

clear *
set more off
set scheme s1mono


// sunspot data
use "annualsunspots.dta", clear

tsset datevec
twoway tsline sunspots, name(sunspots, replace) ///
	ytitle("Mean annual sunspots") xtitle("")   ///
	scheme(s1mono) ylab(,angle(0))


 
ac sunspots, lags(60) recast(bar)  name(acf,replace) note("") xtitle("Lag") ///
		title("Autocorrelation function", size(medsmall)) ytitle("") ///
		ylabel(, angle(0) format(%3.2f)) fcolor(none) scheme(s1mono)
		
pac sunspots, lags(60) recast(bar)  name(pacf,replace) note("") xtitle("Lag") ///
		title("Partial autocorrelation function", size(medsmall)) ytitle("") ///
		ylabel(, angle(0) format(%3.2f)) fcolor(none) scheme(s1mono)

graph combine acf pacf, xcom ycom imargin(tiny) name(auto, replace) cols(1) scheme(s1mono)
 
 
 
use "annualsunspots.dta", clear
tsset datevec, yearly
varsoc sunspots, maxlag(12) 

// RESET test
reg sunspots L(1/9).sunspots
estat ovtest


v23 sunspots, lag(9)
