// plots of sea level and temperature

clear all
set more off
set scheme s1mono


// load monthly data
use "fractionalcointegration.dta", clear


tsset datevec

// plots
twoway (tsline Sea, yaxis(1) lc(gray) lp(dash)) (tsline Temp, yaxis(2) lc(black)), ///
	legend(off) title("Sea level and global temperature", size(medsmall)) ///
	ylabel(,angle(0) axis(1)) ylabel(,angle(0) axis(2)) ///
	ytitle("Sea level (mm)", axis(1)) ytitle("Temperature (degrees C)", axis(2)) ///
	xtitle("") xlabel(,format(%tm_CCYY)) name(sea, replace) 
	
	

gen tmp = IceSAt/1000000

twoway (tsline tmp, lc(black)), ///
	legend(off) title("Sea ice extent", size(medsmall)) ///
	ylabel(,angle(0)) ytitle("Ice extent (mill. km{sup:2})") ///
	xtitle("") xlabel(,format(%tm_CCYY)) name(ice, replace)

