// plot and summary stats for hourly Cerillos data

clear *
set scheme s1mono
set more off

// load data
use "pm_daily", clear


// plot the data
//--------------
tsline pm25, tlabel(,format(%tdCCYY)) xtitle("") ///
ytitle("PM2.5 concentration {&mu}g/m{sup:3}") ///
ylab(,angle(0)) 



// summary statistics
//-------------------
use "pm_daily", clear
tabstat pm25 co temperature vv, statistics(N mean med sd min max) columns(statistics)

tabstat dv, by(winddir) statistics(N min max)
