clear *
set more off
set scheme s1mono


// load Borsky and Raschky (2015) data
use "spatialfish_small.dta", clear
  
 
// line data up with Table 1 and results of estimations in Table 2
rename all_mean overall  
rename distance cost
 
 
// set up Sp data
encode countrycode, gen(id)
xtset id
spset id
spmatrix use WDIST using wdist.stswm, replace

 

// -------------------- Impact Effects -------------------- //
// impact effects slm
qui spregress behavior gdp gov, nocons dvarlag(WDIST) ml nolog
estat impact

margins, dydx(*)


// impact effects sem
qui spregress intention gdp gov, nocons errorlag(WDIST) ml nolog
estat impact

// -------------------- Specification -------------------- //
// general model
spregress behavior gdp gov, nocons dvarlag(WDIST) ivarlag(WDIST: gdp gov) ///
		errorlag(WDIST) ml nolog

spregress behavior gdp gov, nocons dvarlag(WDIST) ml nolog
estat ic


 
spregress behavior gdp gov, nocons errorlag(WDIST) ml nolog
estat ic


// information criterion
spregress behavior gdp gov, errorlag(WDIST) ml nolog
test [WDIST]: e.behavior
estat ic
spregress behavior gdp gov, dvarlag(WDIST)  ml nolog
test [WDIST]: behavior
estat ic







