// VARMA modelling

set more off
set scheme s1mono

// load data
use "fractionalcointegration.dta", clear

// make annual data
gen year = yofd(dofm(datevec))
collapse Sea Temp, by(year)
tsset year, yearly

replace Sea = Sea/10  // define in cm 

// VARMA modelling

// AR(1) model
use "fci", clear
constraint 1 [D.Temp]u = 1
sspace (u L.u, state noconstant) (D.Temp u, noerror), constraints(1)  nolog vsquish

constraint drop _all

// ARMA(1,1)
constraint 1 [u1]L.u2 = 1
constraint 2 [u1]e.u1 = 1
constraint 3 [D.Temp]u1 = 1
sspace ///
		(u1 L.u1 L.u2 e.u1, state noconstant)      ///   
		(u2 e.u1, state noconstant)  		       ///   
		(D.Temp u1, noconstant ), 		          ///   
		constraints(1/3) covstate(diagonal) nolog vsquish
				
constraint drop _all

// VARMA(1,1)
constraint 1  [u1]L.u2 = 1
constraint 2  [u1]e.u1 = 1
constraint 3  [u3]e.u3 = 1 
constraint 4  [D.Temp]u1 = 1
constraint 5  [D.Sea]u3 = 1
sspace (u1 L.u1 L.u2 e.u1, state noconstant) ///
       (u2 e.u1, state noconstant) ///
       (u3 L.u1 L.u3 e.u3, state noconstant) ///
       (D.Temp u1, noconstant) ///
       (D.Sea u3, noconstant), ///
	   constraints(1/5) technique(nr) covstate(diagonal) nolog vsquish

